#!/usr/bin/env bash

bold=$(tput bold)      # ${bold}
normal=$(tput sgr0)    # ${normal}
yellow=$(tput setaf 3) # ${yellow}

# Zenity ablak megjelenítése
user_choice=$(zenity --list --radiolist --width='650' --height='370' \
  --title="Valaszd ki a kivant nyelvet!" \
  --text="Valassz az alabbi opciok kozul:" \
  --column="Valassz" --column="Rendszer nyelv" \
   FALSE "English language"  \
   FALSE "Magyar nyelv")
if [[ $? -eq 1 ]]; then
   echo ${bold}${yellow}A script futasa leallitva. Kilepes!${normal}
   exit 1
fi


# Nala telepites
  echo ---------------------------------------------
  echo A ${bold}${yellow}Nala - DEB csomag ${normal} telepitese...
  echo
    sudo apt update
    sudo apt install nala -y
    sudo apt purge ubuntu-advantage-tools -y
    flatpak remote-add --if-not-exists --user flathub https://flathub.org/repo/flathub.flatpakrepo
  echo
  echo A ${bold}${yellow}Nala ${normal}telepitve.
  echo ---------------------------------------------

  echo ---------------------------------------------
  echo Installing ${bold}${yellow}XanMod - Gaming Kernel AMD - DEB Pkg${normal}

  wget -qO - https://dl.xanmod.org/archive.key | sudo gpg --dearmor -o /usr/share/keyrings/xanmod-archive-keyring.gpg
  echo 'deb [signed-by=/usr/share/keyrings/xanmod-archive-keyring.gpg] http://deb.xanmod.org releases main' | sudo tee /etc/apt/sources.list.d/xanmod-release.list
  sudo apt update && sudo nala install linux-xanmod-edge-x64v4 -y

  echo ${bold}${yellow}XanMod - Gaming Kernel AMD ${normal}installed.
  echo ---------------------------------------------
  echo
  
# A KDE Plasma + tomorito program telepitese  
  sudo nala install ark kde-plasma-desktop plasma-workspace-wayland plasma-wayland-protocols kwayland-integration -y

# Az sddm.conf letrehozasa, hogy bejelentkezeskor ne legyen virtualis billentyuzet  
  sudo touch /etc/sddm.conf && echo -e '[General]\nInputMethod=' | sudo tee /etc/sddm.conf > /dev/null

# User beallitasok 
  echo
  echo ---------------------------------------------
  echo Az ${bold}${yellow}User beallitasok ${normal}vegrehajtasa...
  plasma-apply-colorscheme BreezeDark
  plasma-apply-desktoptheme breeze-dark
  plasma-apply-lookandfeel org.kde.breezedark.desktop
  
# Debloater Script (letrehozta: DanyHolder)
  sudo nala purge gucharmap* libreoffice-draw* libreoffice-math* libreoffice-impress* imagemagick* vinagre*  -y

  echo Az ${bold}${yellow}User beallitasok ${normal}vegrehajtasa megtortent.
  echo ---------------------------------------------

# Librewolf telepitese
  echo ---------------------------------------------
  echo A ${bold}${yellow}Librewolf - DEB csomag ${normal}telepitese...

  sudo apt update && sudo apt install -y wget gnupg lsb-release apt-transport-https ca-certificates

  distro=$(if echo " una bookworm vanessa focal jammy bullseye vera uma " | grep -q " $(lsb_release -sc) "; then lsb_release -sc; else echo focal; fi)

  wget -O- https://deb.librewolf.net/keyring.gpg | sudo gpg --dearmor -o /usr/share/keyrings/librewolf.gpg
  sudo tee /etc/apt/sources.list.d/librewolf.sources << EOF > /dev/null
Types: deb
URIs: https://deb.librewolf.net
Suites: $distro
Components: main
Architectures: amd64
Signed-By: /usr/share/keyrings/librewolf.gpg
EOF
  sudo apt update
  sudo nala install librewolf -y
  sudo cp -a .librewolf /home/$USER/

  echo A ${bold}${yellow}Librewolf ${normal}telepitve.
  echo ---------------------------------------------

# VLC medialejatszo telepitese
  echo ---------------------------------------------
  echo A ${bold}${yellow}VLC medialejatszo - flatpak csomag ${normal}telepitese...

  flatpak install flathub org.videolan.VLC --user -y

  echo A ${bold}${yellow}VLC ${normal}telepitve.
  echo ---------------------------------------------

# QBittorrent telepitese
  echo ---------------------------------------------
  echo A ${bold}${yellow}QBittorrent - flatpak csomag ${normal}telepitese...

  flatpak install flathub org.qbittorrent.qBittorrent --user -y

  echo A ${bold}${yellow}QBittorrent ${normal}telepitve.
  echo ---------------------------------------------
  
# FreeTube telepitese  
  echo ---------------------------------------------
  echo A ${bold}${yellow}FreeTube - flatpak csomag ${normal}telepitese...

  flatpak install flathub io.freetubeapp.FreeTube --user -y

  echo A ${bold}${yellow}FreeTube ${normal}telepitve.
  echo ---------------------------------------------

  if [[ $user_choice = *"English language"* ]]; then
  
# Wayland Auto-Enable
  echo
  echo ---------------------------------------------
  echo Enabling ${bold}${yellow}Wayland Window Manager ${normal}...
  echo
    sudo cp -a rave-pp /usr/share/pixmaps/faces/
    sudo cp -a .mozilla /home/$USER/
  echo
  echo ${bold}${yellow}Wayland ${normal}enabled.
  echo ---------------------------------------------
  echo

  if [[ $user_choice = *"Magyar nyelv"* ]]; then
  
# Wayland automatikus engedelyezese
  echo
  echo ---------------------------------------------
  echo A ${bold}${yellow}Wayland ablakkezelo ${normal}engedelyezese...
  echo
    sudo cp -a rave-pp /usr/share/pixmaps/faces/
    sudo cp -a .mozilla /home/$USER/
  echo
  echo A ${bold}${yellow}Wayland ${normal}engedelyezve.
  echo ---------------------------------------------
  echo

# Magyar nyelvi csomagok
  echo
  echo ---------------------------------------------
  echo A ${bold}${yellow}magyar nyelvi csomagok ${normal}telepitese...
  echo
    sudo apt install language-pack-hu language-pack-hu-base language-pack-kde-hu task-hungarian-kde-desktop -y
  echo
  echo A ${bold}${yellow}magyar nyelvi csomagok ${normal}telepitve.
  echo ---------------------------------------------

fi


# Script vege

echo ${bold}${yellow}A rendszer 3 masodperc mulva ujraindul! ${normal}
echo ${bold}${yellow}3... ${normal}
sleep 1
echo ${bold}${yellow}2... ${normal}
sleep 1
echo ${bold}${yellow}1... ${normal}
sleep 1

sudo reboot
